Skip to content

Get Plan

GET
/api/products/{productId}/plans/{id}
curl --request GET \
--url https://example.com/api/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/plans/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Returns full detail for a single plan.

productId
required
string format: uuid

The parent product’s identifier.

id
required
string format: uuid

The plan’s unique identifier.

Plan detail.

Media type application/json
object
id
string format: uuid
merchantId
string format: uuid
productId
string format: uuid
name
string
nullable
description
string
nullable
price
number format: double
setupFee
number format: double
nullable
frequency
string
Allowed values: OneOff Daily Weekly Fortnightly Monthly Quarterly Yearly
trialDays
integer format: int32
minimumContractMonths
integer format: int32
nullable
cancellationFee
number format: double
nullable
isActive
boolean
isPublic
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{
"frequency": "OneOff"
}

No plan with the given ID exists.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}